Package org.apache.felix.configurator.impl.model

## Class ConfigurationFile

- java.lang.Object
- - org.apache.felix.configurator.impl.model.ConfigurationFile

All Implemented Interfaces:
  `Comparable<ConfigurationFile>`

    public class ConfigurationFile
    extends Object
    implements Comparable<ConfigurationFile>

This object holds all configurations from a single file. This is only an intermediate object.

### Constructor Summary

Constructors
`ConfigurationFile​(URL url, List<Config> configs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ConfigurationFile o)`
`List<Config>` `getConfigurations()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationFile

    public ConfigurationFile​(URL url,
                             List<Config> configs)

### Method Detail

#### compareTo

    public int compareTo​(ConfigurationFile o)

Specified by:
  `compareTo` in interface `Comparable<ConfigurationFile>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getConfigurations

    public List<Config> getConfigurations()